import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';

import 'xiaomi_badger_platform_interface.dart';

/// An implementation of [XiaomiBadgerPlatform] that uses method channels.
class MethodChannelXiaomiBadger extends XiaomiBadgerPlatform {
  /// The method channel used to interact with the native platform.
  @visibleForTesting
  final methodChannel = const MethodChannel('xiaomi_badger');

  @override
  void setBag(int count) {
    methodChannel.invokeMapMethod("push", {"count": count});
  }
}
