import 'package:plugin_platform_interface/plugin_platform_interface.dart';

import 'xiaomi_badger_method_channel.dart';

abstract class XiaomiBadgerPlatform extends PlatformInterface {
  XiaomiBadgerPlatform() : super(token: _token);

  static final Object _token = Object();

  static XiaomiBadgerPlatform _instance = MethodChannelXiaomiBadger();

  static XiaomiBadgerPlatform get instance => _instance;

  static set instance(XiaomiBadgerPlatform instance) {
    PlatformInterface.verifyToken(instance, _token);
    _instance = instance;
  }

  /// 设置小米的小角标
  void setBag(int count) {
    _instance.setBag(count);
  }
}
